#include "std_msgs/Time.h"
#include <robot/robot.h>
#include <cstring>
#include <cstdlib>

extern "C" Time time_create() 
{
    Time time{};
    time.sec = robot::Time::now().sec;
    time.nsec = robot::Time::now().nsec;
    return time;
}